import { jsx } from "react/jsx-runtime";
import { DropIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Drop = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Drop", ...props, children: /* @__PURE__ */ jsx(DropIcon, { weight: variant }) });
  }
);
Drop.displayName = "Drop";
Object.assign(Drop, { isGdsIcon: true });
export {
  Drop
};
